Name:		nuspell
Version:	3.0.0
Release:	5%{?dist}
Summary:	Free and open source C++ spell checking library
License:	LGPLv3+
URL:		https://nuspell.github.io
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	boost-locale
BuildRequires:	clang
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	git
BuildRequires:	libicu-devel
BuildRequires:	rdkit-devel
BuildRequires:	rubygem-ronn

%description
Nuspell is a free and open source spell checker library.
It is designed for languages with rich morphology and complex word compounding.
Nuspell is a pure C++ re-implementation of Hunspell.

%package devel
Summary:	Development tools for nuspell	
Requires:	libicu-devel
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and developer docs for \
%{name}.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake . -DBUILD_SHARED_LIBS=1 -DCMAKE_BUILD_TYPE=Debug \
	-DCMAKE_INSTALL_PREFIX=%{_prefix}
%make_build

%install
%make_install

%files
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_libdir}/*.so.3*
%license COPYING COPYING.LESSER
%doc AUTHORS CHANGELOG.md README.md

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so

%doc %{_docdir}/nuspell/

%changelog
* Fri Apr 3 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 3.0.0-5
- Added license files and doc files 

* Thu Mar 26 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 3.0.0-4
- renamed archive name 
- replaced cmake with %%cmake and make with %%make_build macro

* Mon Mar 02 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 3.0.0-3
- Update URL link
- Updated description
- Modified man page files macro

* Thu Feb 27 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 3.0.0-2
- Updated files to _libdir/cmake/nuspell/ instead of *.cmake files

* Tue Feb 25 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 3.0.0-1
- First release
